%define major	11
%define libname	%mklibname %{name} %major
%define devname	%mklibname %{name} -d

Name:		ltc
Version:	1.1.1
Release:	%mkrel 5
Summary:	Linear (or Longitudinal) Time-code is an encoding of SMPTE time-code data
License:	LGPLv3
Group:		System/Libraries
Url:		https://github.com/x42/libltc
Source0:	https://github.com/downloads/x42/libltc/lib%{name}-%{version}.tar.gz

%description
Linear (or Longitudinal) Time-code (LTC) is an encoding of SMPTE time-code data
as a Manchester-Biphase encoded audio signal. The audio signal is commonly
recorded on a VTR track or other storage media. libltc provides functionality
to encode and decode LTC from/to time-code, including SMPTE date support.
libltc is the successor of libltcsmpte.

#---------------------------------
%package -n %{libname}
Summary:	Shared library for LTC
Group:		System/Libraries

%description -n %{libname}
Linear (or Longitudinal) Time-code (LTC) is an encoding of SMPTE time-code data
as a Manchester-Biphase encoded audio signal. The audio signal is commonly
recorded on a VTR track or other storage media. libltc provides functionality
to encode and decode LTC from/to time-code, including SMPTE date support.
libltc is the successor of libltcsmpte.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#---------------------------------
%package -n %{devname}
Summary:	Development files for LTC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the files for developing applications which
will use lib%{name}.

%files -n %{devname}
%{_mandir}/man3/ltc.h.3.xz
%{_libdir}/lib%{name}.so
%{_includedir}/ltc.h
%{_libdir}/pkgconfig/ltc.pc

#---------------------------------
%prep
%setup -q -n lib%{name}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

find %{buildroot} -regex ".*\(a\|la\)$" -exec rm '{}' \;



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 740963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 682018
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 507613
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 359035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 barjac <barjac> 1.1.1-1.mga3
+ Revision: 322640
- imported package ltc

